apiVersion: "acid.zalan.do/v1"
kind: postgresql
metadata:
  name: main-cluster
spec:
  teamId: "2tefan"
  volume:
    size: 1Gi
  numberOfInstances: 2
  users:
    stefan: # Admin
    - superuser
    - createdb
    #dendrite: []
  databases:
    # dbname: owner (user)
    dendrite: dendrite
  postgresql:
    version: "16"
    parameters:
      max_connections: "128"
      log_statement: "ddl"
  resources:
    requests:
      cpu: 10m
      memory: 128Mi
    limits:
      #cpu: 500m
      memory: 1024Mi

